My Project: dgCollisionCompoundFractured::dgVertexBuffer Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionCompoundFractured::dgVertexBuffer Class Reference

`#include <dgCollisionCompoundFractured.h>`

Inheritance diagram for dgCollisionCompoundFractured::dgVertexBuffer:

## Public Member Functions

| dgVertexBuffer (dgInt32 count, dgMemoryAllocator *allocator)
| dgVertexBuffer (dgMemoryAllocator *const allocator, dgDeserialize deserialization, void *const userData)
| ~dgVertexBuffer ()
void | Serialize (dgSerialize callback, void *const userData) const
const dgFloat32 * | GetVertexPositions () const
const dgFloat32 * | GetVertexNormals () const
const dgFloat32 * | GetVertexUVs () const
Public Member Functions inherited from dgRefCounter
| dgRefCounter (void)
int | GetRef () const
int | Release ()
void | AddRef ()

## Public Attributes

dgFloat32 * | m_uv
dgFloat32 * | m_vertex
dgFloat32 * | m_normal
dgMemoryAllocator * | m_allocator
dgInt32 | m_vertexCount

## Additional Inherited Members

Protected Member Functions inherited from dgRefCounter
virtual | ~dgRefCounter (void)

## Constructor & Destructor Documentation

## § dgVertexBuffer() [1/2]

dgCollisionCompoundFractured::dgVertexBuffer::dgVertexBuffer | ( | dgInt32 | count,
|  | dgMemoryAllocator * | allocator
| ) |  |

## § dgVertexBuffer() [2/2]

dgCollisionCompoundFractured::dgVertexBuffer::dgVertexBuffer | ( | dgMemoryAllocator *const | allocator,
|  | dgDeserialize | deserialization,
|  | void *const | userData
| ) |  |

## § ~dgVertexBuffer()

dgCollisionCompoundFractured::dgVertexBuffer::~dgVertexBuffer | ( |  | ) |

## Member Function Documentation

## § GetVertexNormals()

const dgFloat32* dgCollisionCompoundFractured::dgVertexBuffer::GetVertexNormals | ( |  | ) | const

inline

## § GetVertexPositions()

const dgFloat32* dgCollisionCompoundFractured::dgVertexBuffer::GetVertexPositions | ( |  | ) | const

inline

## § GetVertexUVs()

const dgFloat32* dgCollisionCompoundFractured::dgVertexBuffer::GetVertexUVs | ( |  | ) | const

inline

## § Serialize()

void dgCollisionCompoundFractured::dgVertexBuffer::Serialize | ( | dgSerialize | callback,
|  | void *const | userData
| ) |  | const

## Member Data Documentation

## § m_allocator

dgMemoryAllocator* dgCollisionCompoundFractured::dgVertexBuffer::m_allocator

## § m_normal

dgFloat32* dgCollisionCompoundFractured::dgVertexBuffer::m_normal

## § m_uv

dgFloat32* dgCollisionCompoundFractured::dgVertexBuffer::m_uv

## § m_vertex

dgFloat32* dgCollisionCompoundFractured::dgVertexBuffer::m_vertex

## § m_vertexCount

dgInt32 dgCollisionCompoundFractured::dgVertexBuffer::m_vertexCount

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.cpp